Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Key Management Service
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
          • Overview
          • Create
          • Get
          • List
          • Update
          • Delete
          • ListOperations
          • ListAccessBindings
          • SetAccessBindings
          • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Response
  1. API reference
  2. REST
  3. Key Management Service API
  4. AsymmetricSignatureKey
  5. Get

Key Management Service API, REST: AsymmetricSignatureKey.Get

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response

Returns the specified asymmetric KMS key.
To get the list of available asymmetric KMS keys, make a [SymmetricKeyService.List] request.

HTTP requestHTTP request

GET https://kms.api.cloud.yandex.net/kms/v1/asymmetricSignatureKeys/{keyId}

Path parametersPath parameters

Field

Description

keyId

string

Required field. ID of the asymmetric KMS key to return.
To get the ID of an asymmetric KMS key use a AsymmetricSignatureKeyService.List request.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "folderId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "status": "string",
  "signatureAlgorithm": "string",
  "deletionProtection": "boolean"
}

An asymmetric KMS key that may contain several versions of the cryptographic material.

Field

Description

id

string

ID of the key.

folderId

string

ID of the folder that the key belongs to.

createdAt

string (date-time)

Time when the key was created.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Name of the key.

description

string

Description of the key.

labels

object (map<string, string>)

Custom labels for the key as key:value pairs. Maximum 64 per key.

status

enum (Status)

Current status of the key.

  • CREATING: The key is being created.
  • ACTIVE: The key is active and can be used for encryption and decryption or signature and verification.
    Can be set to INACTIVE using the [AsymmetricKeyService.Update] method.
  • INACTIVE: The key is inactive and unusable.
    Can be set to ACTIVE using the [AsymmetricKeyService.Update] method.

signatureAlgorithm

enum (AsymmetricSignatureAlgorithm)

Signature Algorithm ID.

  • RSA_2048_SIGN_PSS_SHA_256: RSA-2048 signature with PSS padding and SHA-256
  • RSA_2048_SIGN_PSS_SHA_384: RSA-2048 signature with PSS padding and SHA-384
  • RSA_2048_SIGN_PSS_SHA_512: RSA-2048 signature with PSS padding and SHA-512
  • RSA_3072_SIGN_PSS_SHA_256: RSA-3072 signature with PSS padding and SHA-256
  • RSA_3072_SIGN_PSS_SHA_384: RSA-3072 signature with PSS padding and SHA-384
  • RSA_3072_SIGN_PSS_SHA_512: RSA-3072 signature with PSS padding and SHA-512
  • RSA_4096_SIGN_PSS_SHA_256: RSA-4096 signature with PSS padding and SHA-256
  • RSA_4096_SIGN_PSS_SHA_384: RSA-4096 signature with PSS padding and SHA-384
  • RSA_4096_SIGN_PSS_SHA_512: RSA-4096 signature with PSS padding and SHA-512
  • ECDSA_NIST_P256_SHA_256: ECDSA signature with NIST P-256 curve and SHA-256
  • ECDSA_NIST_P384_SHA_384: ECDSA signature with NIST P-384 curve and SHA-384
  • ECDSA_NIST_P521_SHA_512: ECDSA signature with NIST P-521 curve and SHA-512
  • ECDSA_SECP256_K1_SHA_256: ECDSA signature with SECP256_K1 curve and SHA-256

deletionProtection

boolean

Flag that inhibits deletion of the key

Was the article helpful?

Previous
Create
Next
List
© 2026 Direct Cursus Technology L.L.C.